%define module_name	ipw2200
%define module_version	1.0.6
%define module_release	alt2.132620.6

%define kversion        2.6.12
%define krelease        alt6
%define flavour         vs26-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wireless

Summary: Linux %module_name - a Intel(R) PRO/Wireless 2200 Network Connection Driver module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://%module_name.sourceforge.net/
BuildPreReq: kernel-build-tools

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-ieee80211-%kversion-%flavour-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

Requires: firmware-%module_name-2.3

%define ieee80211_release_file %_usrsrc/linux-%kversion-%flavour/kernel-modules-ieee80211.release
%([ -s "%ieee80211_release_file" ] && echo "PreReq: $(cat "%ieee80211_release_file")")

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2200 Network Connection mini PCI adapter.

%prep
%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

%__mkdir .tmp_versions
%__mkdir ieee80211
for f in %_usrsrc/linux-%kversion-%flavour/drivers/net/ieee80211/*.o; do
	mod="${f##*/}"
	mod="${mod%.o}"
	echo "$(pwd)/ieee80211/$mod.ko" > .tmp_versions/"$mod".mod
	%__cp -a "$f" ieee80211/
done

%make_build -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=$PWD \
	    LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ \
	    IEEE80211_INC=%_usrsrc/linux-%kversion-%flavour/include

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a *.ko %buildroot/%module_dir


%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Mon Jul 18 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.6-alt2.132620.6
- Fixed BuildRequires.
- Fixed dependency on kernel-modules-ieee80211-%%flavour (version and release
  are taken from the version stamp file in kernel-headers-ieee80211-%%flavour).
- Use *.o files from kernel-headers-ieee80211-%%flavour to get proper symbol
  versioning.

* Thu Jul 14 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.6-alt1.132620.6
- update to 1.0.6
- remove conflict with ipw2100
- Requires: kernel-modules-ieee80211
- remove all patchs
- fix spec

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.4-alt3.132620.6
- Added:
  + ipw2200-1.0.4-kernel-2.6.12-compat.patch: fix compilation with 2.6.12.

* Fri May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.4-alt2.132620.6
- fix spec for Kernel CVS
- 1.0.4

* Sun May 15 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1.8
- rebuild for 2.6.11-std26-alt8

* Thu Apr 28 2005 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1.6
- initial release
